﻿@model IEnumerable<TooJaVile.Models.Photo>

@{
    ViewBag.Title = "Index";
}

<style>
    * {
        box-sizing: border-box;
    }

    body {
        margin: 0;
        font-family: Arial;
    }

    .body-content {
        padding-left: 0px;
        padding-right: 15px;
    }

    .header {
        text-align: center;
        padding: 32px;
    }

    .row {
        display: -ms-flexbox; /* IE10 */
        display: flex;
        -ms-flex-wrap: wrap; /* IE10 */
        flex-wrap: wrap;
        padding: 0 4px;
    }
    .pilt:hover {
        transition: transform .2s; /* Animation */
        width: 500px;
    }

    /* Responsive layout - makes a two column-layout instead of four columns */
    @@media screen and (max-width: 800px) {
        .column {
            -ms-flex: 50%;
            flex: 50%;
            max-width: 50%;
        }
    }

    /* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
    @@media screen and (max-width: 600px) {
        .column {
            -ms-flex: 100%;
            flex: 100%;
            max-width: 100%;
        }
    }
</style>

<p>
    @Html.ActionLink("Lisa uus pilt", "Create")
</p>

<div style="display:flex; flex-wrap:wrap">
    @foreach (var item in Model)
    {
        <div class="gallery pilt">
            <div>
                <img src="@Url.Action("Content", "DataFiles", new {id = item.PictureId})" alt="Cover Picture">
                <div style="text-align:center; background-color: antiquewhite; padding:2px"> @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })</div>
            </div>
        </div>
    }
</div>